>From 52b10f251eca86562c8de76002cbe1a657355e88 Mon Sep 17 00:00:00 2001
From: Vincent St-Amour <stamourv@racket-lang.org>
Date: Mon, 14 Apr 2014 16:40:14 -0400
Subject: [PATCH] Fix raco dependencies-graph on relative paths.

---
 .../drracket/drracket/private/module-browser.rkt           |   12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/pkgs/drracket-pkgs/drracket/drracket/private/module-browser.rkt b/pkgs/drracket-pkgs/drracket/drracket/private/module-browser.rkt
index d8414c7..c0c0fb8 100644
--- a/pkgs/drracket-pkgs/drracket/drracket/private/module-browser.rkt
+++ b/pkgs/drracket-pkgs/drracket/drracket/private/module-browser.rkt
@@ -1342,10 +1342,14 @@
                         prt))
                     p))))
            (current-load-relative-directory #f)
-           (current-directory init-dir)
-           (add-connections (if (string? filename)
-                                (string->path filename)
-                                filename))
+           (define relative? (eq? init-dir 'relative))
+           (unless relative? ; already there
+             (current-directory init-dir))
+           (define file-path (if (string? filename)
+                                 (string->path filename)
+                                 filename))
+           (add-connections
+            (if relative? (build-path (current-directory) file-path) file-path))
            (channel-put done-chan #t))))))
   
   (send pasteboard begin-adding-connections)
-- 
1.7.10.4

